Index: tmp/org.txm.textsbalance.core/.classpath
===================================================================
--- tmp/org.txm.textsbalance.core/.classpath	(revision 881)
+++ tmp/org.txm.textsbalance.core/.classpath	(revision 882)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.textsbalance.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.textsbalance.core/META-INF/MANIFEST.MF	(revision 881)
+++ tmp/org.txm.textsbalance.core/META-INF/MANIFEST.MF	(revision 882)
@@ -2,15 +2,9 @@
 Export-Package: org.txm.textsbalance.core.chartsengine.jfreechart,org.
  txm.textsbalance.core.chartsengine.r,org.txm.textsbalance.core.functi
  ons,org.txm.textsbalance.core.preferences
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=
- reexport,org.eclipse.core.runtime;bundle-version="3.10.0";visibility:
- =reexport,org.txm.core;bundle-version="0.7.0";visibility:=reexport,or
- g.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,o
- rg.txm.chartsengine.jfreechart.core;bundle-version="1.0.0";visibility
- :=reexport,org.txm.chartsengine.r.core;bundle-version="1.0.0";visibil
- ity:=reexport,org.txm.searchengine.core;bundle-version="1.0.0";visibi
- lity:=reexport
+Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
+ org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: Texts Balance Core
Index: tmp/org.txm.treetagger.feature/feature.xml
===================================================================
--- tmp/org.txm.treetagger.feature/feature.xml	(revision 881)
+++ tmp/org.txm.treetagger.feature/feature.xml	(revision 882)
@@ -69,16 +69,9 @@
    </license>
 
    <requires>
-      <import plugin="org.txm.utils"/>
-      <import plugin="org.eclipse.core.runtime" version="3.10.0" match="greaterOrEqual"/>
       <import plugin="org.txm.core" version="0.8.0" match="greaterOrEqual"/>
       <import plugin="org.txm.treetagger.core" version="1.0.0" match="greaterOrEqual"/>
-      <import plugin="org.eclipse.ui"/>
-      <import plugin="org.eclipse.swt"/>
-      <import plugin="org.txm.core" version="0.7.0" match="greaterOrEqual"/>
       <import plugin="org.txm.rcp" version="0.7.8" match="greaterOrEqual"/>
-      <import plugin="org.txm.libs.groovy-all" version="2.3.3" match="greaterOrEqual"/>
-      <import plugin="org.txm.utils" version="1.0.0" match="greaterOrEqual"/>
    </requires>
 
    <plugin
Index: tmp/org.txm.wordcloud.core/.classpath
===================================================================
--- tmp/org.txm.wordcloud.core/.classpath	(revision 881)
+++ tmp/org.txm.wordcloud.core/.classpath	(revision 882)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.wordcloud.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.wordcloud.core/META-INF/MANIFEST.MF	(revision 881)
+++ tmp/org.txm.wordcloud.core/META-INF/MANIFEST.MF	(revision 882)
@@ -1,15 +1,7 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=reex
- port,org.txm.core;bundle-version="0.7.0";visibility:=reexport,org.txm
- .chartsengine.core;bundle-version="1.0.0";visibility:=reexport,org.tx
- m.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,o
- rg.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport
- ,org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0";visibili
- ty:=reexport,org.txm.statsengine.core;bundle-version="1.0.0";visibili
- ty:=reexport,org.txm.chartsengine.r.core;bundle-version="1.0.0";visib
- ility:=reexport,org.txm.index.core;bundle-version="1.0.0";visibility:
- =reexport
+Require-Bundle: org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.index.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.wordcloud.core.chartsengine.jfreechart,org.txm
  .wordcloud.core.chartsengine.r,org.txm.wordcloud.core.functions,org.t
  xm.wordcloud.core.messages,org.txm.wordcloud.core.preferences
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Apply.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Apply.java	(revision 881)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Apply.java	(revision 882)
@@ -19,7 +19,7 @@
 import org.txm.rcp.commands.workspace.UpdateCorpus;
 import org.txm.rcp.swt.widget.parameters.ParametersDialog;
 import org.txm.rcp.utils.JobHandler;
-import org.txm.scripts.teitxm.Annotate;
+import org.txm.importer.xmltxm.Annotate;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 
Index: tmp/org.txm.treetagger.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.treetagger.rcp/META-INF/MANIFEST.MF	(revision 881)
+++ tmp/org.txm.treetagger.rcp/META-INF/MANIFEST.MF	(revision 882)
@@ -1,11 +1,7 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui;visibility:=reexport,org.txm.treetagger
- .core;bundle-version="1.0.0";visibility:=reexport,org.eclipse.core.ru
- ntime;visibility:=reexport,org.eclipse.swt;visibility:=reexport,org.t
- xm.core;bundle-version="0.7.0";visibility:=reexport,org.txm.rcp;bundl
- e-version="0.7.8";visibility:=reexport,org.txm.libs.groovy-all;bundle
- -version="2.3.3";visibility:=reexport,org.txm.utils;bundle-version="1
- .0.0";visibility:=reexport
+Require-Bundle: org.txm.treetagger.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.rcp;bundle-version="0.7.8";visibility:=reexport,
+ org.txm.index.rcp;bundle-version="1.0.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
Index: tmp/org.txm.treetagger.core/.classpath
===================================================================
--- tmp/org.txm.treetagger.core/.classpath	(revision 881)
+++ tmp/org.txm.treetagger.core/.classpath	(revision 882)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.treetagger.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.treetagger.core/META-INF/MANIFEST.MF	(revision 881)
+++ tmp/org.txm.treetagger.core/META-INF/MANIFEST.MF	(revision 882)
@@ -1,7 +1,5 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;visibility:=reexport,org.eclipse.core.ru
- ntime;bundle-version="3.10.0";visibility:=reexport,org.txm.core;bundl
- e-version="0.8.0";visibility:=reexport
+Require-Bundle: org.txm.core;bundle-version="0.8.0";visibility:=reexport
 Export-Package: org.txm.treetagger.core.preferences
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
